package models

type Port struct {
	Protocol string
	Number   int
}

type ImageInfo struct {
	Name    string
	Version string
	Ports   []Port
}

type ServerInfo struct {
	Id       string
	OwnerId  string
	Image    ImageInfo
	On       bool
	Nickname string
}

type FileBrowserInfo struct {
	Id          string
	OwnerId     string
	ConnectedTo ServerInfo
}
